OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_Application Class Reference

`#include <CDM_Application.hxx>`

Inheritance diagram for CDM_Application:

[legend]

## Public Member Functions
virtual Standard_EXPORT Handle_Resource_Manager | Resources ()=0
| the manager returned by this virtual method will be used to search for Format`.Retrieval resource items.
virtual Standard_EXPORT Handle_CDM_MessageDriver | MessageDriver ()
| By default returns a NullMessageDriver; .
virtual Standard_EXPORT void | BeginOfUpdate (const Handle(CDM_Document)&aDocument)
| this method is called before the update of a document. By default, writes in MessageDriver().
virtual Standard_EXPORT void | EndOfUpdate (const Handle(CDM_Document)&aDocument, const Standard_Boolean Status, const TCollection_ExtendedString &ErrorString)
| this method is called affter the update of a document. By default, writes in MessageDriver().
Standard_EXPORT void | Write (const Standard_ExtString aString)
| writes the string in the application MessagerDriver.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT void | SetDocumentVersion (const Handle(CDM_Document)&aDocument, const Handle(CDM_MetaData)&aMetaData) const
Standard_EXPORT void | SetReferenceCounter (const Handle(CDM_Document)&aDocument, const Standard_Integer aReferenceCounter)
## Private Member Functions
virtual Standard_EXPORT Handle_CDM_Document | Retrieve (const Handle(CDM_MetaData)&aMetaData, const Standard_Boolean UseStorageConfiguration)=0
virtual Standard_EXPORT Standard_Integer | DocumentVersion (const Handle(CDM_MetaData)&aMetaData)=0
| returns -1 if the metadata has no modification counter.

## Member Function Documentation

virtual Standard_EXPORT void CDM_Application::BeginOfUpdate | ( | const Handle(CDM_Document)& | aDocument | ) | `[virtual]`

virtual Standard_EXPORT Standard_Integer CDM_Application::DocumentVersion | ( | const Handle(CDM_MetaData)& | aMetaData | ) | `[private, pure virtual]`

| Implemented in CDF_Application.

virtual Standard_EXPORT void CDM_Application::EndOfUpdate | ( | const Handle(CDM_Document)& | aDocument,
|  | const Standard_Boolean | Status,
|  | const TCollection_ExtendedString & | ErrorString
| ) | `[virtual]`

Standard_EXPORT const CDM_Application::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in AppStd_Application, AppStdL_Application, CDF_Application, and TDocStd_Application.

virtual Standard_EXPORT Handle_CDM_MessageDriver CDM_Application::MessageDriver | ( |  | ) | `[virtual]`

| Reimplemented in AppStd_Application, and AppStdL_Application.

virtual Standard_EXPORT Handle_Resource_Manager CDM_Application::Resources | ( |  | ) | `[pure virtual]`

| Implemented in TDocStd_Application.

virtual Standard_EXPORT Handle_CDM_Document CDM_Application::Retrieve | ( | const Handle(CDM_MetaData)& | aMetaData,
|  | const Standard_Boolean | UseStorageConfiguration
| ) | `[private, pure virtual]`

| Implemented in CDF_Application.

Standard_EXPORT void CDM_Application::SetDocumentVersion | ( | const Handle(CDM_Document)& | aDocument,
|  | const Handle(CDM_MetaData)& | aMetaData
| ) | const`[protected]`

Standard_EXPORT void CDM_Application::SetReferenceCounter | ( | const Handle(CDM_Document)& | aDocument,
|  | const Standard_Integer | aReferenceCounter
| ) | `[protected]`

Standard_EXPORT void CDM_Application::Write | ( | const Standard_ExtString | aString | ) |

The documentation for this class was generated from the following file:

- CDM_Application.hxx